*--------1---------2---------3---------4---------5---------6---------7--

      subroutine DSTDATA

* initialize BCS
*----------------------------------
      include './Include/bcs.inc'

* initialize DST variables
*----------------------------------
      include './Include/dstdata.inc'

* initialize user variables
*----------------------------------
      integer NDSTB, NDSTC

* event processing
*----------------------------------
      RUNFIL = 0
      TELFIL = 0
      VTXFIL = 0 
      SPLFIL = 0
      STRFIL = 0
      PADFIL = 0

      ZVCUT  = 0.
      NCLCUT = 0
      ECLCUT = 0.
      NTCUT = 0

* DSTB bank access
* (mask for individual NT values)
*----------------------------------
      NDSTB = IW(NAMIND('DSTB'))

      if (NDSTB.gt.0) then
        RUNFIL = IW(NDSTB + 1)
        TELFIL = IW(NDSTB + 2)
        VTXFIL = IW(NDSTB + 3)
        SPLFIL = IW(NDSTB + 4)
        STRFIL = IW(NDSTB + 5)
        PADFIL = IW(NDSTB + 6)
      end if

* DSTC bank access
* (physical cut parameters)
*----------------------------------
      NDSTC = IW(NAMIND('DSTC'))

      if (NDSTC.gt.0) then
        ZVCUT  = RW(NDSTC + 1)
        NCLCUT = IW(NDSTC + 2)
        ECLCUT = RW(NDSTC + 3)
        NTCUT =  IW(NDSTC + 4)
      end if

      return
      end
